
Figure - Bug #116877
【AF】【EVT3】【ST】【MCU】MCU 过压保护在未跳过开机向导时，无法生效
2023-03-10 18:23 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-10

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: TEST Found Version: 0078

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version: 2023-04-06

Test Type: ST Root cause: 在Launcher启动之前就收到了过压警告, 所以当前没有注册任何回调，导致后续流程不会继续处理

Description

【前提条件】

使用稳压电源进线供电

【测试步骤】

1. 烧写正常版本后开机

2. 在开机引导界面或开机动画界面升压至19V

3. 触发过压保护后，重新上电开机，执行恢复出厂

4. 在开机动画和开机引导界面升压

【预期结果】

2&4 均能触发过压保护

【实际结果】

目前的情况看，只要过了一次开机向导，就能生效

如果第一次开机向导刚过的时候（立马重启，这个时候下一次重启的时候还有这个界面，同样会生效了）

现象：https://thundersoft.feishu.cn/sheets/shtcnOEcoyyATbrgXEXTNOK0Czd?sheet=ttyz1j 中过压保护sheet

History

#1 - 2023-03-13 10:05 - CD TPM-王祥林

- Category changed from BSP to CD-FW

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#2 - 2023-03-15 17:06 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

已追加日志并编译版本

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2940/

■ 下一步解析计划

待编译完成后抓取日志

#3 - 2023-03-16 14:45 - CD FW 曹覃刚

2025-07-04 1/5

https://thundersoft.feishu.cn/sheets/shtcnOEcoyyATbrgXEXTNOK0Czd?sheet=ttyz1j
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2940/


- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#4 - 2023-03-16 14:59 - CD FW 曹覃刚

- Assignee changed from CD FW王武军 to CD FW 曹覃刚

#5 - 2023-03-23 14:56 - CDTS_TEST 王成

- Target version set to VC1_FSE_0090_20230411

#6 - 2023-03-24 17:54 - CD FW 曹覃刚

■ 我的分析

上次版本追加日志有限

已新增日志并编译版本

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/3085/

■ 下一步解析计划

待编译完成后抓取日志

#7 - 2023-03-29 21:48 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

Hi 强哥

如飞书沟通，请帮忙使用如下版本抓取日志，感谢

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230324/202303241905-3085

#8 - 2023-04-03 15:01 - 移动测试一组_CDTS 刘强

- File log.zip added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW 曹覃刚

log已经上传

#9 - 2023-04-03 19:42 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

Hi 强哥

■ 我的分析

------------

error1.txt:14165: 03-24 19:36:02.563  2552  2689 D ProtectUartService: send mpu boot completed res=0    

error1.txt:16722: 03-24 19:36:45.578  2552  2694 D ProtectUartService: DTC_MCU: received voltage warning  //收到高压警告

error1.txt:16723: 03-24 19:36:45.578  2552  2694 D ProtectUartService: java.lang.Throwable: ProtectUartService

error1.txt:16724: 03-24 19:36:45.578  2552  2694 D ProtectUartService:     at

com.thundercomm.tcservice.protect.ProtectServiceUartService.handleUartMessage(ProtectServiceUartService.java:41)

error1.txt:16725: 03-24 19:36:45.578  2552  2694 D ProtectUartService:     at
com.thundercomm.tcservice.comm.TcServiceUartComm$1.onMessage(TcServiceUartComm.java:50)

error1.txt:16726: 03-24 19:36:45.578  2552  2694 D ProtectUartService:     at

com.thundercomm.tcservice.comm.TcServiceUartComm.onUartMessage(TcServiceUartComm.java:83)

error1.txt:16727: 03-24 19:36:45.578  2552  2694 D ProtectUartService:     at vendor.ts.uart.V1_0.IUartCallback$Stub.onTransact(IUartCallback.java:528)

error1.txt:21903: 03-24 19:41:12.825  2690  2690 D TCServiceManager: add linkToDeath

error1.txt:21904: 03-24 19:41:12.825  2690  2690 D TCServiceManager: TCServiceManager bind TcService, status=success

error1.txt:21905: 03-24 19:41:12.825  2690  2690 D TCServiceManager: registerListener

error1.txt:21906: 03-24 19:41:12.825  2690  2690 D TCServiceManager: registerListener  //桌面注册回调

error1.txt:21907: 03-24 19:41:12.825  2690  2690 D TCServiceManager: java.lang.Throwable: TCServiceManager

error1.txt:21908: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at com.thundercomm.tcservice.TCServiceManager.registerListener(TCServiceManager.java:123)

error1.txt:21909: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at com.android.launcher3.Launcher.registerReceiver(Launcher.java:3488)

error1.txt:21910: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at com.android.launcher3.Launcher.onCreate(Launcher.java:579)

error1.txt:21911: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at com.android.launcher3.BaseQuickstepLauncher.onCreate(BaseQuickstepLauncher.java:147)

error1.txt:21912: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.Activity.performCreate(Activity.java:8085)

error1.txt:21913: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.Activity.performCreate(Activity.java:8065)

error1.txt:21914: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1330)

error1.txt:21915: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3609)

error1.txt:21916: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

error1.txt:21917: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

error1.txt:21918: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at

android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

error1.txt:21919: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

error1.txt:21920: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

error1.txt:21921: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.os.Handler.dispatchMessage(Handler.java:106)

error1.txt:21922: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.os.Looper.loopOnce(Looper.java:201)

error1.txt:21923: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.os.Looper.loop(Looper.java:288)

error1.txt:21924: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at android.app.ActivityThread.main(ActivityThread.java:7880)

error1.txt:21925: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at java.lang.reflect.Method.invoke(Native Method)

error1.txt:21926: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

error1.txt:21927: 03-24 19:41:12.825  2690  2690 D TCServiceManager:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

error1.txt:21929: 03-24 19:41:12.826  2552  2612 D ProtectUartService: received RegisterListener token:LAUNCHER_VOLTAGE_PROTECT

------------

由上述日志分析可知

在Launcher启动之前就收到了过压警告, 所以当前没有注册任何回调，导致后续流程不会继续处理

在桌面未起来之前，如果收到过压警告，因没有任何内容需要完成，此时应该直接完成过压保护的处理。

我制作了如下提交

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/191649

并编译了版本

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/3183/

■ 下一步解析计划

我根据日志了做了修复提交，并编译了版本，请明天帮忙使用下列版本验证此问题，谢谢

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230403/202304031940-3183

#10 - 2023-04-03 20:21 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT3】【ST】【MCU】MCU 过压保护在未跳过开机向导时，无法生效 to 【AF】【EVT3】【ST】【MCU】MCU 过压

保护在未跳过开机向导时，无法生效

#11 - 2023-04-04 16:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
191649 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:UART: when received voltage warning, but no project need to do, need finish directlyTC-RID: 1201-0207301IssueID: TS-R-BUG-116877Change-Id:

I28ca43135d86286ac963d4a0107c349ca30b9194

#12 - 2023-04-04 16:31 - CD FW 曹覃刚

- Status changed from NEED_INFO to RESOLVED

- % Done changed from 0 to 100

- Need_Info deleted (TEST)

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-06

- Root cause set to 在Launcher启动之前就收到了过压警告, 所以当前没有注册任何回调，导致后续流程不会继续处理

#13 - 2023-04-06 15:17 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

已根据过压保护sheet条件验收通过

#14 - 2023-04-06 15:19 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

验收版本：0089

验收结果：pass

综合验收次数：50次

#15 - 2023-04-06 15:47 - 移动测试一组_CDTS 刘强

- File log.txt added

- Status changed from CLOSED to New

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW 曹覃刚

在0089版本再次复现问题，相关日志已上传

#16 - 2023-04-06 19:34 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Need_Info set to TEST

Hi 强哥

如下午当面沟通，请确认是否板子短路导致
#17 - 2023-04-10 19:48 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to RESOLVED

使用新板子，0089测试 10次未复现

#18 - 2023-04-10 19:49 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#19 - 2023-04-10 19:49 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

20230310-182241.jpg 237 KB 2023-03-10 移动测试一组_CDTS 刘强

log.zip 1.1 MB 2023-04-03 移动测试一组_CDTS 刘强

log.txt 2.19 MB 2023-04-06 移动测试一组_CDTS 刘强
